Skip to main content
POST
/
api
/
sip_users
POST /api/sip_users
curl --request POST \
  --url https://api.sippet.ai/api/sip_users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "sip_password": "<string>",
      "sip_username": "<string>",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "relationships": {},
    "type": "SipUser"
  }
}
'
{
  "data": {
    "id": "<string>",
    "type": "<string>",
    "attributes": {
      "sip_password": "<string>",
      "sip_username": "<string>",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "relationships": {
      "organisation": {
        "data": {
          "id": "<string>",
          "type": "<string>",
          "meta": {}
        }
      },
      "user": {
        "data": {
          "id": "<string>",
          "type": "<string>",
          "meta": {}
        }
      }
    }
  },
  "included": [
    "<unknown>"
  ],
  "meta": {}
}

Authorizations

Authorization
string
header
required

JWT for bearer authentication

Query Parameters

include
string

Relationship paths to include in the response

Pattern: ^()(,())*$
fields
object

Limits the response fields to only those listed for each type

Example:
{
"SipUser": "id,sip_username,sip_password,user_id"
}

Body

application/vnd.api+json

Request body for the /sip_users operation on SipUser resource

data
object
required

Response

Success

data
object

A "Resource object" representing a SipUser

included
any[]
meta
object